================
Missing features
================

Implemented in the wx backend, and must be implemented for compatibility:

* Features missing from DateEditor:
  * 'multi_select' and its associated options. See
    http://www.qtsoftware.com/developer/faqs/faq.2007-11-06.6144759363 for info.
  * 'padding', although this probably shouldn't be supported.

* Features missing from the ListStrEditor:
  * 'auto_add' factory option
  * 'right_clicked' and 'right_clicked_index' factory options

* PopupEditor is not implemented. It is questionable whether this even worth
  implementing, as it makes for very unconventional, and therefore confusing,
  user interfaces.

* ScrubberEditor is not implemented. Again, may not be worth implementing.

* Features missing from the TableEditor:
  * Searching
  * Storing table state (custom filters and column widths)
  * 'sort_model' option for sorting
  * 'selected_indices' option for item selection
  * Factory options for cell color, font, etc. These options are currently only
    supported through TableColumns.

* Features missing from the TabularEditor:
  * 'auto_add' factory option
  * 'right_clicked' and 'right_dclicked' factory options
  * Editable labels (column headers)

============
Enhancements
============

Low priority items. Not provided by the wx backend, but would be nice to have
anyway:

* Create option for ColorEditor that does not show the RGB value of the color.
  This would allow for much more compact widgets, which is preferable in some
  cases.

* TableEditor:

  * The filter dialog is better than the wx one, but there is still room for
    improvement. In particular, the add/remove buttons should be replaced with
    toolbar icons, and the add button should have a drop-down menu when pressed
    for selecting which template to use. This is better than the always-present
    EnumEditor for tempate selection because templates are clearly associated 
    with the creation of new filters.

* ImageEnumEditor usability enhancement: when there are multiple columns, the
  'simple' style editor only aligns the popup vertically (because popup boxes
  normally only have one column). The 'showPopup' method of QComboBox should be
  overridden to align the popup horizontally as well.
